import { View } from "@tarojs/components"
import Loading from "@/components/loading"
import style from "./index.module.scss"
import { memo } from "react";

type Params = {
    title?: string,
    loadingIcon?: false|true
}
export default memo(({
    title = "加载中...", //显示的文字
    loadingIcon = true //是否显示加载图标
}:Params) => {
    console.log('loadingCard:::')
    return (
        <>
            <View className={style.loadingCard_main}>
                {loadingIcon&&<Loading/>}
                <View className={style.loading_text}>{title}</View>
            </View>
        </>
    )
})
